Skip to main content
GET
List Events

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

account
string

The Account id or vid to filter Events by. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
subscription
string

The Subscription id or vid to filter Events by. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
product
string

The Product id or vid to filter Events by. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
rate_plan
string
required

The Rate Plan id or vid to filter Events by.

billed
integer<int32>

Boolean to filter return by only Events with a billing_status of Billed

Response

JSON A list array with a data property that contains an array of up to limit Events, starting after the specified starting_after Enevt (or ending before the specified ending_before Event). Each entry in the array is a full Event object. If no more Events are available, the resulting array will be empty. This request should never throw an error.\n A list of Event objects matching the query. Also:\n

  • "total_count": Integer count of the number of Event in the returned list.\n
  • "url": The query string provided in the request\n
  • "next": The route (partial URL) to the next Event object (string to select the "next"); included id should match that of the last object returned here\n
  • "previous": The route (partial URL) to the previous Event object \ (string to select the "previous"); included id should match that of the first object returned here
object
string
data
object
total_count
integer<int32>

Integer count of the number of Event objects in the returned list.

url
string

The query string provided in the request

next
string

The route (partial URL) to the next Event object (string to select the “next”); included id should match that of the last object returned here

previous
string

The route (partial URL) to the previous Event object (string to select the “previous”); included id should match that of the first object returned here

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"Event\", \"id\": \"events\", \"vid\": \"ecd2ccc1caeacb3fd87ccddc2f8c273b8406419c\", \"date_received\": \"2023-01-17T07:53:05+00:00\", \"event_date\": \"2023-01-18T00:00:00+00:00\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"sub_12345.1\", \"vid\": \"d9f215896f53e9ee8461d5e32c6d14e840714128\" }, \"account\": { \"object\": \"Account\", \"id\": \"cust_2234\", \"vid\": \"c992135bc246474d66479fed89826aaaf6f7f572\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"sub_12345\", \"vid\": \"53097bba3d9aa438efddcaaf3f7bddec97712636\" }, \"product\": { \"object\": \"Product\", \"id\": \"prod_1234\", \"vid\": \"ee6e14b60f5acd479aa0eb13077cbf31a854a3eb\" }, \"billed_status\": \"Billed\" }, { \"object\": \"Event\", \"id\": \"event_223\", \"vid\": \"5c2c034920a07825507017af8b7afcd96d18822a\", \"date_received\": \"2023-01-17T07:59:19+00:00\", \"event_date\": \"2023-01-18T00:00:00+00:00\", \"subscription_item\": { \"object\": \"SubscriptionItem\", \"id\": \"sub_12345.1\", \"vid\": \"d9f215896f53e9ee8461d5e32c6d14e840714128\" }, \"account\": { \"object\": \"Account\", \"id\": \"cust_2234\", \"vid\": \"c992135bc246474d66479fed89826aaaf6f7f572\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"sub_12345\", \"vid\": \"53097bba3d9aa438efddcaaf3f7bddec97712636\" }, \"product\": { \"object\": \"Product\", \"id\": \"prod_1234\", \"vid\": \"ee6e14b60f5acd479aa0eb13077cbf31a854a3eb\" }, \"billed_status\": \"Billed\" } ], \"total_count\": 2, \"url\": \"/events\", \"next\": \"/events?starting_after=event_223\", \"previous\": \"/events?ending_before=events\" }"